Subject: [sipcore] [Technical Errata Reported] RFC7044 (5442)

From: RFC Errata System <[email-masked]>
Date: Thu, 26 Jul 2018 19:46:08 -0700 (PDT)

The following errata report has been submitted for RFC7044,
"An Extension to the Session Initiation Protocol (SIP) for Request History Information".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5442

--------------------------------------
Type: Technical
Reported by: Ted Zhou <[email-masked]>

Section: 9.3,10.2

Original Text
-------------
9.3   
   When a SIP entity receives a non-100 response or a request times out,
   the SIP entity performs the following steps:

      If the response is not a 100 or 2xx response, the SIP entity adds
      one or more Reason header fields to the hi-targeted-to-uri in the
      (newly) cached hi-entry reflecting the SIP response code in the
      non-100 or non-2xx response, per the procedures of Section 10.2.

10.2
   A Reason header field is added when the hi-entry is added to the
   cache based upon the receipt of a SIP response that is neither a 100
   nor a 2xx response, as described in Section 9.3. 

Corrected Text
--------------
9.3   
   When a SIP entity receives a non-18x response or a request times out,
   the SIP entity performs the following steps:

      If the response is not a 18x or 2xx response, the SIP entity adds
      one or more Reason header fields to the hi-targeted-to-uri in the
      (newly) cached hi-entry reflecting the SIP response code in the
      non-18x or non-2xx response, per the procedures of Section 10.2.

10.2
   A Reason header field is added when the hi-entry is added to the
   cache based upon the receipt of a SIP response that is neither a 18x
   nor a 2xx response, as described in Section 9.3. 

Notes
-----
I see we have several places using "100" or "non-100". I think the correct one should be "18x" or "non-18x".
Or, we can use "1xx" or "non-1xx".

100 means "100 Tring", it's not accurate.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7044 (draft-ietf-sipcore-rfc4244bis-12)
--------------------------------------
Title               : An Extension to the Session Initiation Protocol (SIP) for Request History Information
Publication Date    : February 2014
Author(s)           : M. Barnes, F. Audet, S. Schubert, J. van Elburg, C. Holmberg
Category            : PROPOSED STANDARD
Source              : Session Initiation Protocol Core RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG

---

From: [email-masked] (Dale R. Worley)
Date: Sun, 29 Jul 2018 22:26:42 -0400

RFC Errata System <[email-masked]> writes:
> [...much omitted...]
> I see we have several places using "100" or "non-100". I think the
> correct one should be "18x" or "non-18x".

First, I'd like to ask you why you think that the distinctions made in
the specified passages are not the correct ones.

Generally, in SIP, the handling of responses is based on the first digit
of the response code, with the exception that 100 responses are often
processed differently from "non-100 1xx responses".  That latter set is
often (but not quite correctly) abbreviated "1xx responses".

So one does not expect "18x" to be a category in a SIP specification, as
that would mean that other codes (like 101, 170, and 199) would be
handled differently from 182, 183, etc.

In the specified passages, the condition is, effectively, "1xx-not-100,
3xx, 4xx, 5xx, or 6xx", which is the sort of condition that one expects
to see in SIP specifications.

Dale

---

From: "Zhou, Ted (NSB - CN/Qingdao)" <[email-masked]>
Date: Mon, 30 Jul 2018 04:46:56 +0000

Hi Dale,

When I looked at these sections in rfc7044, I saw "100", "non-100", my first response is "Does it mean 100trying?", apparently not, it should be 18x.
Of course, it's just my personal habit to use 18x(I'm influenced by RFC3398 which uses 18x often), may not be appropriate to be used in specification. 

Why I select another term "1xx"?
From RFC3261,
any response with a status code between 100 and 199 is referred to as a "1xx response".

So, I think "1xx" is a widely accepted term.

Ted

-----Original Message-----
From: Dale R. Worley [mailto:[email-masked]] 
Sent: 2018年7月30日 10:27
To: RFC Errata System <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Zhou, Ted (NSB - CN/Qingdao) <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [sipcore] [Technical Errata Reported] RFC7044 (5442)

RFC Errata System <[email-masked]> writes:
> The following errata report has been submitted for RFC7044, "An 
> Extension to the Session Initiation Protocol (SIP) for Request History Information".
> [...much omitted...]

First, I'd like to ask you why you think that the distinctions made in the specified passages are not the correct ones.

Generally, in SIP, the handling of responses is based on the first digit of the response code, with the exception that 100 responses are often processed differently from "non-100 1xx responses".  That latter set is often (but not quite correctly) abbreviated "1xx responses".

So one does not expect "18x" to be a category in a SIP specification, as that would mean that other codes (like 101, 170, and 199) would be handled differently from 182, 183, etc.

In the specified passages, the condition is, effectively, "1xx-not-100, 3xx, 4xx, 5xx, or 6xx", which is the sort of condition that one expects to see in SIP specifications.

Dale

---

From: [email-masked] (Dale R. Worley)
Date: Mon, 30 Jul 2018 21:22:21 -0400

"Zhou, Ted (NSB - CN/Qingdao)" <[email-masked]> writes:
> When I looked at these sections in rfc7044, I saw "100", "non-100", my
> first response is "Does it mean 100trying?", apparently not, it should
> be 18x.
> Of course, it's just my personal habit to use 18x(I'm influenced by
> RFC3398 which uses 18x often), may not be appropriate to be used in
> specification. 
>

I must admit that I do not understand you well here.

In regard to "18x", most SIP specifications treat all response codes
from 101 through 199 in the same way.  Unfortunately, many of them treat
100 differently from 101 through 199.  The natural interpretation of
"1xx" would be 100 through 199, so it's often incorrect to use "1xx" to
mean only 101 through 199.

There is some confustion because the only response codes with defined
meanings in this range are 180, 181, 182, 183, and 199.  But others
might be defined in the future.

Dale

---

From: "Zhou, Ted (NSB - CN/Qingdao)" <[email-masked]>
Date: Tue, 31 Jul 2018 01:57:16 +0000

Dale,

Sorry for confusion. I'd like the take the following one as an example.

10.2.  Reason in the History-Info Header Field

When receive 180/183, we don’t need to add Reason header, right? I mean 100 is too specific.

Here, I think we add Reason header when receive 3xx,4xx,5xx,6xx, if retarget happens.

So, I think it should be “neither a 1xx nor a 2xx”.

Maybe I have a wrong understanding of this section. Please correct me.

Ted

-----Original Message-----
From: Dale R. Worley [mailto:[email-masked]]
Sent: 2018年7月31日 9:22
To: Zhou, Ted (NSB - CN/Qingdao) <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [sipcore] [Technical Errata Reported] RFC7044 (5442)

> any response with a status code between 100 and 199 is referred to as

> a "1xx response".

In regard to "18x", most SIP specifications treat all response codes from 101 through 199 in the same way.  Unfortunately, many of them treat

100 differently from 101 through 199.  The natural interpretation of "1xx" would be 100 through 199, so it's often incorrect to use "1xx" to mean only 101 through 199.

There is some confustion because the only response codes with defined meanings in this range are 180, 181, 182, 183, and 199.  But others might be defined in the future.

Dale